//The main control loop is executed by the TC5 timer interrupt:


#include <SPI.h>
//#include <Arduino.h>

#include "State.h" 
#include "Utils.h"
#include "Parameters.h"
#include "Controller.h"


void TC5_Handler()
	{
	//unedited/old:
	/*  // TcCount16* TC = (TcCount16*) TC3; // get timer struct
	 if (TC5->COUNT16.INTFLAG.bit.OVF == 1) {  // A overflow caused the interrupt
	     interrupted = 1;

	   TC5->COUNT16.INTFLAG.bit.OVF = 1;    // writing a one clears the flag ovf flag
	 //  irq_ovf_count++;                 // for debug leds
	 }

	 // if (TC->INTFLAG.bit.MC0 == 1) {  // A compare to cc0 caused the interrupt
	 //  digitalWrite(pin_mc0_led, LOW);  // for debug leds
	  // TC->INTFLAG.bit.MC0 = 1;    // writing a one clears the flag ovf flag
	 // } */

	///new
	// TcCount16* TC = (TcCount16*) TC3; // get timer struct

	TEST1_HIGH();

	if (TC5->COUNT16.INTFLAG.bit.OVF == 1)  // An overflow caused the interrupt
		{
		static float ITerm, y_1, yw_1;
		float e = 0.0;

		TEST2_HIGH();
//		a = readEncoder();
//		y = lookup_angle(a);
//		y = lookup_angle(readEncoder());
//		y = *(lookup + readEncoder());
		float y = lookup[readEncoder()];
		TEST2_LOW();

		y_1 = y - y_1;

		TEST2_HIGH();
		REG_PORT_OUTSET0 = PORT_PA20;
		if (y_1 < -180.0)
			wrap_count += 1;
    	else if (y_1 > 180.0)
      	wrap_count -= 1;

		float yw = y + (360.0 * wrap_count);
		TEST2_LOW();

		TEST2_HIGH();
		switch (mode)
			{
			case 'x':
				e = r - yw;  // Current postion error

				ITerm += pKi * e;
				if (ITerm > 150.0)
					ITerm = 150.0;
				else if (ITerm < -150.0)
					ITerm = -150.0;

				u = (int) ((pKp * e) + ITerm - (pKd * (yw - yw_1))); //ARDUINO library style
				//u = u+lookup_force(a)-20;
				//   u = u_1 + cA*e + cB*e_1 + cC*e_2;     //ppt linked in octave script

				//  u = 20*e;//

				break;

			case 'v':
				e = r - ((yw - yw_1) * Fs * (60.0 / 360.0));	//error in degrees per rpm (sample frequency in Hz * (60 seconds/min) / (360 degrees/rev) )

				ITerm += (vKi * e);
				if (ITerm > 200)
					ITerm = 200;
				else if (ITerm < -200)
					ITerm = -200;

				u = (int) ((vKp * e) + ITerm - (vKd * (yw - yw_1)));	//+ lookup_force(a)-20; //ARDUINO library style

				break;

			case 't':
				u = (int) (1.0 * r);//+ 1.7*(lookup_force(a)-20);
				break;

			default:
				u = 0;
				break;
			}
		TEST2_LOW();

/*		if (u > 0)
			y += PA;
		else
			y -= PA;

*/
		TEST2_HIGH();
/*
		y += (u > 0) ? PA : -PA;

		if (u > uMAX)
			u = uMAX;
		else if (u < -uMAX)
			u = -uMAX;
*/
		if (u > 0)
			{
			y += PA;
			if (u > uMAX)
				u = uMAX;
			}
		else
			{
			y -= PA;
			if (u < -uMAX)
				u = -uMAX;
			}

		TEST2_LOW();
//		U = abs(u);       //+lookup_force((((a-4213)%16384)+16384)%16384)-6); ///p);//+i);
/*
		if (abs(e) < 0.1)		// If the error is less than 0.1 degrees, turn LED on, otherwise, turn it off
			{
			digitalWrite(pulse, HIGH);
			//   SerialUSB.println(r);
			}
		else
			digitalWrite(pulse, LOW);
*/
		TEST2_HIGH();
		if (abs(e) < 0.1)		// If the error is less than 0.1 degrees, turn LED on, otherwise, turn it off
			PULSE_HIGH();
		else
			PULSE_LOW();
		TEST2_LOW();

		

//		output(-y, U);  //-y
		TEST2_HIGH();
		output(-y, abs(u));  //-y
		TEST2_LOW();

//		e_3 = e_2;
//		e_2 = e_1;
//		e_1 = e;
//		u_3 = u_2;
//		u_2 = u_1;
//		u_1 = u;
		yw_1 = yw;
		y_1 = y;

		TC5->COUNT16.INTFLAG.bit.OVF = 1;    // writing a one clears the flag ovf flag
  		}	//if (TC5->COUNT16.INTFLAG.bit.OVF == 1)  // A overflow caused the interrupt

	TEST1_LOW();
	}
